clear
load('data.mat')
x = x(:,1:17);
num_flows = size(x,1);
num_features = size(x,2);

for i=1:num_flows
    x(i,1) = round(x(i,1));
    for j=2:9
          x(i,j) = round(x(i,j) * 100);
    end
end

for i=1:num_flows
    for j=10:17
          x(i,j) = round(x(i,j) / 10);
    end
end

uni = zeros(1,num_features);
 for j=1:num_features
         uni(j) = size(unique(x(:,j),'rows'),1);
 end

 n = ceil(max(uni)/10) * 10;
 uniqvals = zeros(n,num_features);
 for j=1:num_features
         temp = unique(x(:,j));
         temp2 = zeros(n - uni(j), 1);
         uniqvals(:,j) = [temp;temp2];
 end
 
 x_final = zeros(num_flows,num_features);
 for i=1:num_flows
    for j=1:num_features
        for k=1:n
          if x(i,j) == uniqvals(k,j)
              x_final(i,j) = k;
              break
          end
        end
    end
 end
x = x_final;
save('dataN.mat', 'x','y')

