function plotgraphs()

load('nb.mat')
load('nt.mat')

train_size = train_sub * 2000;

plot(train_size, a_nb,'-x')
hold all
plot(train_size, a_nt,'-rs')
plot(train_size, p_nb,'-o')
plot(train_size, p_nt,'-*')

xlabel('Training Size');
ylabel('Accuracy/Precision Rate');
legend('Naive Bayes Accuracy','Neural Networks Accuracy','Naive Bayes Precision', 'Neural Networks Precision');
title(['Size of Training Data vs. Accuracy and Precision of the Classifiers']);
end