#!/bin/bash

CUR_DIR="`pwd -P`"
USER="`whoami`"
PACKETADDR="$CUR_DIR/capture"

PCAPS="`ls capture/*.pcap`"

echo "features=[" > features.py

for PCAP in $PCAPS
do
  FN="`echo $PCAP | cut -f 1-2 -d '.'`"
  python flow_capture.py -f $PCAP -p $FN.pkl >> features.py
done

echo "]" >> features.py